Bug 1573971 - Lenovo 3000 N500 x86_64 kernel crashes during boot with 4gb ram, 2gb ram works [NEEDINFO]
Summary: Lenovo 3000 N500 x86_64 kernel crashes during boot with 4gb ram, 2gb ram works
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 15:39 UTC by Tadas Slotkus
Modified: 2018-08-29 15:10 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:10:01 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)
dmidecode output (7.72 KB, text/plain)
2018-05-02 15:39 UTC, Tadas Slotkus
no flags Details
dmesg output with 3gb limit (72.92 KB, text/plain)
2018-05-02 15:40 UTC, Tadas Slotkus
no flags Details

Description Tadas Slotkus 2018-05-02 15:39:17 UTC
Created attachment 1430147 [details]
dmidecode output

Description of problem:

During boot Lenovo 3000 N500 with 4gb ram x86_64 kernel crashes without any message and machine spontaneously reboots to the BIOS initialization. If I remove one of 2GB ram modules, then problem disappears. If I use memmap=99G$0x40000000 boot option, it works even with 4gb ram, but only 3gb is visible.

I believe it is not gpu related as the same was happening for intel-only gpu laptop of same model and for nvidia-only gpu:
https://bugzilla.redhat.com/show_bug.cgi?id=982398

Ubuntu 16.04 is able to boot with 4gb ram, but the same problem manifests at resume from suspend (instant reboot)

32-bit kernels do not have this problem.

Version-Release number of selected component (if applicable):


How reproducible:
Crashes every time during boot

Steps to Reproduce:
1. dd Fedora-Workstation-netinst-x86_64-28-1.1.iso to usb and try to boot
2. select install Fedora click tab, remove word quiet, enter
3. after some 10 seconds observe spontaneous reboot

Actual results:
Does not boot

Expected results:
Boot without crash

Additional info:
Very similar reported originally at: https://bugzilla.redhat.com/show_bug.cgi?id=982398

Comment 1 Tadas Slotkus 2018-05-02 15:40:29 UTC
Created attachment 1430148 [details]
dmesg output with 3gb limit

Comment 2 Justin M. Forbes 2018-07-23 15:02:49 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2018-08-29 15:10:01 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.